Skip to main content
PATCH
Update report

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

reportId
integer<int64>
required

The ID of the report to update.

Body

application/json
archived
boolean

Whether to archive (true) or restore (false) the report. Cannot be combined with any other fields.

businessUnitId
object

The new business unit ID to use for the report. Set to null to reset to the account's default business unit. Omit to leave unchanged.

Example:

"string"

description
object

The new description to use for the report. Set to null to clear the description. Omit to leave unchanged.

Example:

"string"

name
string

The new name to use for the report. Omit to leave unchanged.

ownerUserId
string

The ID of the user to change the report's owner to. Omit to leave unchanged.

permissions
object

Response

successful operation

archived
boolean
required

Whether the report is archived.

businessUnitId
string
required

The ID of the business unit that the report is associated with.

createdAt
string<date-time>
required

The date and time when the report was created, in ISO 8601 format.

id
string
required

The ID of the report.

name
string
required

The name of the report.

updatedAt
string<date-time>
required

The date and time when the report was last updated, in ISO 8601 format.

archivedAt
string<date-time>

If the report is archived, the date and time when the report was archived, in ISO 8601 format. Absent if the report is not archived.

createdByUserId
string

The ID of the user who created the report. May be absent.

description
string

A description of the report. May be absent.

lastViewedAt
string<date-time>

The date and time when the report was last viewed, in ISO 8601 format. Absent if it has not been viewed yet.

lastViewedByUserId
string

The ID of the user who last viewed the report. Absent if it has not been viewed yet.

ownerUserId
string

The ID of the user who owns the report. Absent if the report is currently unowned.

permissions
object
tags
object[]

Array of objects representing the tags that the report is tagged with.

Only returned when requested by including the tags field in the properties query parameter.

updatedByUserId
string

The ID of the user who last updated the report. May be absent.

Last modified on September 15, 2026